#include "stylus-settings.h"
#include "stylussettingpage.h"

#include <QTranslator>
#include <QApplication>

namespace StylusSettings {

StylusSettings::StylusSettings()
{
    QTranslator* translator = new QTranslator(this);
    translator->load(":/tr/translations/"+ QLocale::system().name() +".qm");
    QApplication::installTranslator(translator);
}

StylusSettings::~StylusSettings()
{

}

QString StylusSettings::plugini18nName()
{
    return QString(tr("Stylus"));
}
int StylusSettings::pluginTypes()
{
    return FunType::DEVICES;
}
QWidget* StylusSettings::pluginUi()
{
    if (m_pluginwidget == nullptr)
        m_pluginwidget = new StylusSettingPage();
    return m_pluginwidget;
}
bool StylusSettings::isEnable() const
{
    return true;
}
const QString StylusSettings::name() const
{
    return QString(tr("Stylus"));
}
bool StylusSettings::isShowOnHomePage() const
{
    return true;
}
QIcon StylusSettings::icon() const
{
    QPixmap pixmap(":/img/img/pen-symbolic.svg");
    return QIcon::fromTheme("pen-symbolic.svg", QIcon(pixmap));
}
QString StylusSettings::translationPath() const
{
    return "/usr/share/stylus-settings/translations/%1.ts";
}

} // namespace
