#ifndef STYLUSSETTINGS_H
#define STYLUSSETTINGS_H

#include <ukcc/interface/interface.h>

#include <QObject>
#include <QString>
#include <QWidget>
#include <QIcon>

namespace StylusSettings {
class StylusSettings : public QObject, CommonInterface
{
    Q_OBJECT
    Q_PLUGIN_METADATA(IID "org.ukcc.CommonInterface")
    Q_INTERFACES(CommonInterface)
public:

    StylusSettings();
    ~StylusSettings();

    QString plugini18nName()        Q_DECL_OVERRIDE;
    int pluginTypes()               Q_DECL_OVERRIDE;
    QWidget* pluginUi()             Q_DECL_OVERRIDE;
    bool isEnable() const           Q_DECL_OVERRIDE;
    const QString name() const      Q_DECL_OVERRIDE;
    bool isShowOnHomePage() const   Q_DECL_OVERRIDE;
    QIcon icon() const              Q_DECL_OVERRIDE;
    QString translationPath() const Q_DECL_OVERRIDE;


private:
    QWidget* m_pluginwidget = nullptr;
};

} // namespace
#endif // STYLUSSETTINGS_H
