#ifndef GESTUREWIDGET_H
#define GESTUREWIDGET_H

#include <QWidget>
#include <QPushButton>

class QLabel;
class QString;

class gestureWidget : public QPushButton
{
    Q_OBJECT
public:
    explicit gestureWidget(QWidget *parent = nullptr);
    ~gestureWidget();
    void setActionText(const QString &actionText) const;
    void setFunctionText(const QString &actionText) const;
protected:
    void focusInEvent(QFocusEvent *e) Q_DECL_OVERRIDE;
    void focusOutEvent(QFocusEvent *e) Q_DECL_OVERRIDE;

public slots:
    void themeChanged();
signals:
//    void itemClicked(screenGestureType type);
    void getFocus();
    void loseFocus();

private:
    QLabel *m_action;
    QLabel *m_playIcon;
    QLabel *m_function;
};

#endif // GESTUREWIDGET_H
