#ifndef TOUCHSCREENSETTINGS_H
#define TOUCHSCREENSETTINGS_H

#include <QObject>
#include <QString>
#include <QWidget>
#include <QIcon>

#include "ukcc/interface/interface.h"
//#include "video-widget/videowidget.h"
//#include "ukcc/widgets/hlineframe.h"

class TouchscreenSettings : public QObject, CommonInterface
{
    Q_OBJECT
    Q_PLUGIN_METADATA(IID "org.ukcc.CommonInterface")
    Q_INTERFACES(CommonInterface)

public:
    TouchscreenSettings();
    ~TouchscreenSettings();

    QString plugini18nName()        Q_DECL_OVERRIDE;
    int pluginTypes()               Q_DECL_OVERRIDE;
    QWidget *pluginUi()             Q_DECL_OVERRIDE;
    bool isEnable() const           Q_DECL_OVERRIDE;
    const QString name() const      Q_DECL_OVERRIDE;
    bool isShowOnHomePage() const   Q_DECL_OVERRIDE;
    QIcon icon() const              Q_DECL_OVERRIDE;
    QString translationPath() const Q_DECL_OVERRIDE;

private:
    QString pluginName;
    int pluginType;
    QWidget *pluginWidget;

private:
    void initSearchText();      // 搜索翻译
    bool mFirstLoad;
};

#endif // TOUCHSCREENSETTINGS_H
