#include "videowidget.h"
#include <QVBoxLayout>
#include <QResizeEvent>
#include <QDebug>

videoWidget::videoWidget(QWidget *parent) : QWidget(parent)
{
    setStyleSheet("border-image: none; background: green; border:none");
    m_videoLabel = new QLabel(this);
//    m_videoLabel->setScaledContents(true);
    m_movie = new QMovie;
    m_videoLabel->setMovie(m_movie);
    m_movie->setFileName(":/gif/resources/右边缘左划显示侧边栏.gif");
    qDebug() << "scaledSize：" << m_movie->scaledSize() << m_movie->frameRect();

    QVBoxLayout *vlayout = new QVBoxLayout(this);
    vlayout->addStretch();
    vlayout->addWidget(m_videoLabel);
    vlayout->addStretch();
    m_movie->start();
}

videoWidget::~videoWidget()
{
    if(m_movie) {
        m_movie->stop();
        delete m_movie;
        m_movie = nullptr;
    }
}

void videoWidget::adjustVideoSize(int width)
{
    QSize newSize(width, width / 16 * 9);
    qDebug() << __func__ << "newSize：" << newSize;
    m_movie->setScaledSize(newSize);
}

void videoWidget::resizeEvent(QResizeEvent *event)
{
    qDebug() << __func__ << event << event->size();

    QWidget::resizeEvent(event);
}
